Try ERPNext Buy Support Partners Foundation

V12 install breakup again

root@vmi322732:~# sudo python3 install.py --production --user sanath
Logs are saved under /tmp/logs/easy-install__2020-02-18__14-17.log
Checking System Compatibility…
debian 9 is compatible!
Installing curl…
curl installed!
wget already installed!
git already installed!
Installing pip3…
pip3 installed!
[WARNING]: No inventory was parsed, only implicit localhost is available
[WARNING]: provided hosts list is empty, only localhost is available. Note
that the implicit localhost does not match ‘all’
Input MySQL and Frappe Administrator passwords:
Please enter mysql root password:
Re-enter mysql root password:
Please enter the default Administrator user password:
Re-enter Administrator password:
Passwords saved at ~/passwords.txt
[WARNING]: No inventory was parsed, only implicit localhost is available
[WARNING]: provided hosts list is empty, only localhost is available. Note
that the implicit localhost does not match ‘all’
[WARNING]: Updating cache and auto-installing missing dependency: python3-apt
[WARNING]: Could not find aptitude. Using apt-get instead
Traceback (most recent call last):
File “install.py”, line 414, in
install_bench(args)
File “install.py”, line 230, in install_bench
run_playbook(‘site.yml’, sudo=True, extra_vars=extra_vars)
File “install.py”, line 351, in run_playbook
success = subprocess.check_call(args, cwd=os.path.join(cwd, ‘playbooks’), st dout=log_stream, stderr=sys.stderr)
File “/usr/lib/python3.5/subprocess.py”, line 271, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘sit e.yml’, ‘-vvvv’, ‘-e’, ‘@/tmp/extra_vars.json’, ‘–become’, ‘–become-user=sanat h’]’ returned non-zero exit status 2
root@vmi322732:~#

I have ran below cmd

sudo apt install dirmngr -y

and ERP next installed with below warning MSGs

sudo python3 install.py --production --user sanath
Logs are saved under /tmp/logs/easy-install__2020-02-18__15-01.log
Checking System Compatibility…
debian 9 is compatible!
curl already installed!
wget already installed!
git already installed!
pip3 already installed!
[WARNING]: No inventory was parsed, only implicit localhost is available
[WARNING]: provided hosts list is empty, only localhost is available. Note
that the implicit localhost does not match ‘all’
Input MySQL and Frappe Administrator passwords:
Passwords saved at ~/passwords.txt
[WARNING]: No inventory was parsed, only implicit localhost is available
[WARNING]: provided hosts list is empty, only localhost is available. Note
that the implicit localhost does not match ‘all’
[WARNING]: Could not find aptitude. Using apt-get instead
[WARNING]: Consider using the get_url or uri module rather than running
‘curl’. If you need to use command because get_url or uri is insufficient you
can add ‘warn: false’ to this command task or set ‘command_warnings=False’ in
ansible.cfg to get rid of this message.
[DEPRECATION WARNING]: evaluating [] as a bare variable, this behaviour will go
away and you might need to add |bool to the expression in the future. Also see
CONDITIONAL_BARE_VARS configuration toggle… This feature will be removed in
version 2.12. Deprecation warnings can be disabled by setting
deprecation_warnings=False in ansible.cfg.
[WARNING]: Consider using the file module with owner rather than running
‘chown’. If you need to use command because file is insufficient you can add
‘warn: false’ to this command task or set ‘command_warnings=False’ in
ansible.cfg to get rid of this message.

[WARNING]: Module remote_tmp /home/sanath/.ansible/tmp did not exist and was
created with a mode of 0700, this may cause issues when running as another
user. To avoid this, create the remote_tmp dir with the correct permissions
manually
Bench + Frappe + ERPNext has been successfully installed!

but received below massage even after 10 min

Sorry!

We will be back soon.

Don’t panic. It’s not you, it’s us.
Most likely, our engineers are updating the code, and it should take a minute for the new code to load into memory.

Try refreshing after a minute or two.

always get pain when we do upgrade, update or fresh install

is there any easy way to do this?

I have ran bench update

but no success still Don’t Panic page showing

@Sanath_Udayawansa2

Follow these steps:

#Go to frappe-bench directory

cd frappe-bench

#(to configure nginx ) run

bench setup nginx

#Go to nginx directory and delete the “default” file in sites-available folder:

cd /etc/nginx/sites-available

Restart nginx

sudo systemctl restart nginx

#then return to frappe-bench directory and run this command

./env/bin/pip install werkzeug==0.16.0 

Once you’re done with these steps, reboot your server and visit your ERPNext url and you should see the login screen to start your setup wizard.

just running bench pip install -U Werkzeug==0.16.1 && bench restart should do

@gavindsouza nah it didn’t work.

Migrating site1.local
Updating DocTypes for frappe : [========================================]
Updating DocTypes for erpnext : [========================================]
Updating customizations for Address
Traceback (most recent call last):
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 484, in connect
sock = self._connect()
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 541, in _connect
raise err
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 529, in _connect
sock.connect(socket_address)
OSError: [Errno 99] Cannot assign requested address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/client.p y”, line 667, in execute_command
connection.send_command(*args)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 585, in send_packed_command
self.connect()
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 99 connecting to localhost:13000. Cannot assign requested address.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 484, in connect
sock = self._connect()
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 541, in _connect
raise err
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 529, in _connect
sock.connect(socket_address)
OSError: [Errno 99] Cannot assign requested address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.5/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/sanath/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, lin e 97, in
main()
File “/home/sanath/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, lin e 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 764, in call
return self.main(*args, **kwargs)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 717, in main
rv = self.invoke(ctx)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/core.py” , line 555, in invoke
return callback(*args, **kwargs)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/click/decorato rs.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/sanath/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe.dict(ctx.obj), *args, **kwargs)
File “/home/sanath/frappe-bench/apps/frappe/frappe/commands/site.py”, line 233 , in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip
failing)
File “/home/sanath/frappe-bench/apps/frappe/frappe/migrate.py”, line 62, in mi grate
global_search.update_global_search_for_all_web_pages()
File “/home/sanath/frappe-bench/apps/frappe/frappe/utils/global_search.py”, li ne 276, in update_global_search_for_all_web_pages
sync_global_search()
File “/home/sanath/frappe-bench/apps/frappe/frappe/utils/global_search.py”, li ne 357, in sync_global_search
while frappe.cache().llen(‘global_search_queue’) > 0:
File “/home/sanath/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py”, li ne 141, in llen
return super(RedisWrapper, self).llen(self.make_key(key))
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/client.p y”, line 1325, in llen
return self.execute_command(‘LLEN’, name)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/client.p y”, line 673, in execute_command
connection.send_command(*args)
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 610, in send_command
self.send_packed_command(self.pack_command(*args))
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 585, in send_packed_command
self.connect()
File “/home/sanath/frappe-bench/env/lib/python3.5/site-packages/redis/connecti on.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 99 connecting to localhost:13000. Cannot assign requested address.
sanath@vmi322732:~/frappe-bench$

Hi,

I am getting same error while updating frappe. Now I am unable to get Login Screen.

Any solution for this ?

sanath@debian:~$ sudo python3 install.py --production --user sanath
Logs are saved under /tmp/logs/easy-install__2020-04-12__07-57.log
Checking System Compatibility…
debian 9 is compatible!
There are no enabled repos.
Run “yum repolist all” to see the repos you have.
You can enable repos with yum-config-manager --enable
Traceback (most recent call last):
File “install.py”, line 436, in
install_prerequisites()
File “install.py”, line 133, in install_prerequisites
‘sudo yum install -y epel-release redhat-lsb-core git python-setuptools python-devel openssl-devel libffi-devel’
File “install.py”, line 118, in run_os_command
returncode = subprocess.check_call(command, shell=True, stdout=log_stream, stderr=sys.stderr)
File “/usr/lib/python3.5/subprocess.py”, line 271, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘sudo yum groupinstall -y “Development tools”’ returned non-zero exit status 1

ReplyForward

Run the following command on the command line on its own and see what the issue is.

sudo yum groupinstall -y "Development tools"

this issue is due to Redis not running in the background which occurs in development mode. Open another terminal to start the bench start process and run the migrate process on another terminal. That should help.

this is happening when we try to fresh install erp next.

1 Like

I have an error in erpnext fresh installation.
root@webx:~# sudo python3 install.py --production --user frappe
Logs are saved under /tmp/logs/easy-install__2021-02-10__09-47.log
Checking System Compatibility…
ubuntu 18 is compatible!
There are no enabled repos.
Run “yum repolist all” to see the repos you have.
You can enable repos with yum-config-manager --enable
Traceback (most recent call last):
File “install.py”, line 436, in
install_prerequisites()
File “install.py”, line 133, in install_prerequisites
‘sudo yum install -y epel-release redhat-lsb-core git python-setuptools python-devel openssl-devel libffi-devel’
File “install.py”, line 118, in run_os_command
returncode = subprocess.check_call(command, shell=True, stdout=log_stream, stderr=sys.stderr)
File “/usr/lib/python3.6/subprocess.py”, line 311, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘sudo yum groupinstall -y “Development tools”’ returned non-zero exit status 1.
root@webx:~# sudo yum groupinstall -y “Development tools”
There are no enabled repos.
Run “yum repolist all” to see the repos you have.
You can enable repos with yum-config-manager --enable

Try this with fresh installation Ubuntu 18…

Step 1: Login as a root user:

Login as a root user:

sudo -i

Enter the user password when it prompts you (System Password)

Step 2: Update and Upgrade apt

The sudo apt-get update command is used to download package information from all configured sources.

The sources often defined in /etc/apt/sources. list file and other files located in /etc/apt/sources. …

So when you run update command, it downloads the package information from the Internet.

You run sudo apt-get upgrade to install available upgrades of all packages currently installed on the system from the sources configured via sources. list file. New packages will be installed if required to satisfy dependencies, but existing packages will never be removed

sudo apt-get update && sudo apt-get upgrade

echo fs.inotify.max_user_watches=524288 | sudo tee -a /etc/sysctl.conf && sudo sysctl -p

shutdown -r now

Step 3 Install Python prerequisite

sudo apt-get install python-minimal

Step 4 Download Installation Script

Execute following command to fetch ERPNext installation script file.

wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py

Step 5: Setting up ERPNext development environment

You have to run the following installation script to install ERPNext on Ubuntu 18.04

python install.py --develop --user frappe

export LC_ALL=C.UTF-8

Execute: export LC_ALL=C.UTF-8

python3 -m pip install --upgrade pip

python –m pip install –upgrade pip

run

python3 install.py --develop --user frappe

It takes about 10 mins to 20 mins

During the script run you have to create and preserve a set of passwords for MariaDB root user and Frappe Administrator user.

• Please enter mysql root password: TVB2021$

• Re-enter mysql root password: TVB2021$

• Please enter the default Administrator user password: TVB2021$

• Re-enter Administrator password: TVB2021$

These passwords are saved at Passwords saved at ~/passwords.txt

We have seen the success message

Bench + Frappe + ERPNext has been successfully installed! Now the Dev Environment is ready for use.

Step 6 Install ERPNext application

A bench is a tool used to install and manage ERPNext on your Ubuntu system. We will create a user that will run the ERPNext system, then configure the system.

sudo su - frappe -s /bin/bash

cd frappe-bench

Step 7 Install ERPNext application

Create new website

bench new-site your site name

Provide your mysql password here

Set Administrator password for your site: password

Install ERPNext on to the site

bench --site your site name install-app erpnext

bench use your site name

bench start

Bench start will initiate a real-time monitoring console showing you various messages relating to your webserver and other services. When you see items-dashboard.min Open a web browser and navigate to localhost:8000 (for local installations).

1 Like